> ## Documentation Index
> Fetch the complete documentation index at: https://yuno-3979e326-docs-agent-readable-descriptions.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse Standalone Transfer

> Fully or partially reverse a succeeded standalone marketplace transfer.

Reverse a specific standalone transfer. This endpoint allows you to fully or partially reverse a SUCCEEDED forward transfer.


## OpenAPI

````yaml /openapi/transfers/reverse-standalone-transfer.json POST /split-marketplace/transfers/{transfer_id}/reverse
openapi: 3.1.0
info:
  title: Transfer Flow API
  version: 1.0.0
  description: >-
    API for managing standalone forward and reverse transfers within the
    Marketplace.
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public_api_key: []
    private_secret_key: []
paths:
  /split-marketplace/transfers/{transfer_id}/reverse:
    post:
      tags:
        - Transfers
      summary: Reverse Standalone Transfer
      operationId: reverse-standalone-transfer
      parameters:
        - name: transfer_id
          in: path
          required: true
          schema:
            type: string
          description: The unique ID of the transfer flow to reverse.
        - name: X-Idempotency-Key
          in: header
          required: true
          schema:
            type: string
          description: Unique key for request idempotency.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - account_id
              properties:
                account_id:
                  type: string
                  description: The unique identifier of the account.
                amount:
                  $ref: '#/components/schemas/Amount'
                reason:
                  type: string
                  description: The reason for the reversal.
                description:
                  type: string
                  description: A human-readable description for the reversal.
                merchant_reference:
                  type: string
                  description: Merchant's unique identifier for tracking this reversal.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transfer'
              examples:
                Success:
                  value:
                    id: 94036ceb-5cca-4384-b144-e2a5a908af77
                    recipient_id: e56c3329-f3d9-48e5-a677-284b147abf95
                    amount:
                      currency: USD
                      value: 100
                    status: SUCCEEDED
                    description: test transfer
                    merchant_reference: c19e858a-ffd6-4635-8a31-4f60c5becf4d
                    metadata: []
                    provider: null
                    transactions:
                      - code: 7ac2c5f3-7c79-4e99-b45e-aa5952620188
                        type: SPLIT_TRANSFER
                        status: SUCCEEDED
                        provider_transfer_id: tr_1T9eKVIiMnPsFcbbRTb8ObsZ
                        provider_response_message: null
                        provider_raw_response: |-
                          {
                            "id": "tr_1T9eKVIiMnPsFcbbRTb8ObsZ",
                            "object": "transfer",
                            "amount": 10000,
                            "amount_reversed": 0,
                            "balance_transaction": "txn_1T9eKVIiMnPsFcbbOPnvz3xM",
                            "created": 1773203107,
                            "currency": "usd",
                            "description": "test transfer",
                            "destination": "acct_1T9PSQIZEg1WWTvj",
                            "destination_payment": "py_1T9eKVIZEg1WWTvjbVjmnzFK",
                            "livemode": false,
                            "metadata": {},
                            "reversals": {
                              "object": "list",
                              "data": [],
                              "has_more": false,
                              "total_count": 0,
                              "url": "/v1/transfers/tr_1T9eKVIiMnPsFcbbRTb8ObsZ/reversals"
                            },
                            "reversed": false,
                            "source_transaction": null,
                            "source_type": "card",
                            "transfer_group": null
                          }
                        created_at: '2026-03-11T04:25:06.229027Z'
                        updated_at: '2026-03-11T04:25:07.917364Z'
                    created_at: '2026-03-11T04:25:06.208761Z'
                    updated_at: '2026-03-11T04:25:07.928000342Z'
                    completed_at: '2026-03-11T04:25:07.927971142Z'
                Error:
                  value:
                    id: 9778f631-504d-448f-b2c1-f7b903781df7
                    recipient_id: 82b12c8c-7d3d-4a21-a3c6-165cc04ca741
                    amount:
                      currency: USD
                      value: 50000
                    status: ERROR
                    description: test transfer
                    merchant_reference: cb18df20-21ae-4fed-8da9-fb81cfd56797
                    metadata: []
                    provider: null
                    transactions:
                      - code: 9eee65d1-6c3a-4076-9ef9-fa4bff73d597
                        type: SPLIT_TRANSFER
                        status: ERROR
                        provider_transfer_id: tr_1T9PTLIiMnPsFcbbFKyh1Nds
                        provider_response_message: |-
                          {
                            "id": "tr_1T9PTLIiMnPsFcbbFKyh1Nds",
                            "object": "transfer",
                            "amount": 10000,
                            "amount_reversed": 0,
                            "balance_transaction": "txn_1T9PTMIiMnPsFcbbxRKvaZ3G",
                            "created": 1773145996,
                            "currency": "usd",
                            "description": "test transfer"
                          }
                        provider_raw_response: '{.... }'
                        created_at: '2026-03-10T13:39:19.342902Z'
                        updated_at: '2026-03-10T13:39:19.342914Z'
                    created_at: '2026-03-10T13:39:19.241990247Z'
                    updated_at: '2026-03-10T13:39:19.242012664Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  messages:
                    type: array
                    items:
                      type: string
              examples:
                TRANSFER_NOT_REVERSIBLE:
                  summary: Transfer not reversible
                  value:
                    code: TRANSFER_NOT_REVERSIBLE
                    messages:
                      - The transfer is not in a reversible state.
                TRANSFER_ALREADY_REVERSED:
                  summary: Transfer already reversed
                  value:
                    code: TRANSFER_ALREADY_REVERSED
                    messages:
                      - The transfer has already been reversed.
                REVERSAL_AMOUNT_EXCEEDS:
                  summary: Reversal amount exceeds original
                  value:
                    code: REVERSAL_AMOUNT_EXCEEDS
                    messages:
                      - >-
                        The reversal amount exceeds the original transfer
                        amount.
                INVALID_CURRENCY:
                  summary: Invalid currency
                  value:
                    code: INVALID_CURRENCY
                    messages:
                      - >-
                        The specified currency is invalid or does not match the
                        original transfer.
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  messages:
                    type: array
                    items:
                      type: string
              examples:
                TRANSFER_NOT_FOUND:
                  summary: Transfer not found
                  value:
                    code: TRANSFER_NOT_FOUND
                    messages:
                      - The specified transfer was not found.
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  messages:
                    type: array
                    items:
                      type: string
              examples:
                PROVIDER_INTERNAL_ERROR:
                  summary: Provider internal error
                  value:
                    code: PROVIDER_INTERNAL_ERROR
                    messages:
                      - The payment provider encountered an internal error.
components:
  schemas:
    Amount:
      type: object
      required:
        - value
        - currency
      properties:
        value:
          type: number
          example: 150
        currency:
          type: string
          example: USD
    Transfer:
      type: object
      properties:
        id:
          type: string
          example: TRF_7kB2mQ9xPnL4vR
        recipient_id:
          type: string
          format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
        amount:
          $ref: '#/components/schemas/Amount'
        status:
          type: string
          example: SUCCEEDED
        reason:
          type: string
          example: ORDER_CANCELLED
        description:
          type: string
          example: Weekly marketplace earnings
        merchant_reference:
          type: string
          example: TRANSFER-2026-02-15-001
        metadata:
          $ref: '#/components/schemas/Metadata'
        provider_data:
          $ref: '#/components/schemas/ProviderData'
        created_at:
          type: string
          format: date-time
          example: '2026-02-16T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-02-16T10:30:15Z'
        completed_at:
          type: string
          format: date-time
          example: '2026-02-16T10:30:15Z'
        provider:
          type: string
          nullable: true
          example: null
        transactions:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                example: 9eee65d1-6c3a-4076-9ef9-fa4bff73d597
              type:
                type: string
                example: SPLIT_TRANSFER
              status:
                type: string
                example: ERROR
              provider_transfer_id:
                type: string
                example: tr_1T9PTLIiMnPsFcbbFKyh1Nds
              provider_response_message:
                type: string
                example: ...
              provider_raw_response:
                type: string
                example: '{.... }'
              created_at:
                type: string
                format: date-time
                example: '2026-03-10T13:39:19.342902Z'
              updated_at:
                type: string
                format: date-time
                example: '2026-03-10T13:39:19.342914Z'
    Metadata:
      type: array
      items:
        type: object
        properties:
          key:
            type: string
          value:
            type: string
    ProviderData:
      type: object
      properties:
        id:
          type: string
          example: adyen
        recipient_id:
          type: string
          example: SE322KT223222B5CM82WL9TB
        transfer_id:
          type: string
          example: TRF_8535296827453920
        response_code:
          type: string
          example: '000'
        response_message:
          type: string
          example: Transfer completed
  securitySchemes:
    public_api_key:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
    private_secret_key:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY

````